Package org.apache.maven.scm.provider.accurev

## Class Transaction

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.Transaction

    public class Transaction
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `Transaction.Version`

### Constructor Summary

Constructors
`Transaction​(java.lang.Long id, java.util.Date when, java.lang.String tranType, java.lang.String user)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addVersion​(java.lang.Long id, java.lang.String name, java.lang.String virtualSpec, java.lang.String realSpec, java.lang.String ancestor)`
`java.lang.String` `getAuthor()`
`java.lang.String` `getComment()`
`long` `getId()`
`long` `getTranId()`
`java.lang.String` `getTranType()`
`java.lang.String` `getType()`
`java.util.Collection<Transaction.Version>` `getVersions()`
`java.util.Date` `getWhen()`
`void` `setComment​(java.lang.String comment)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Transaction

    public Transaction​(java.lang.Long id,
                       java.util.Date when,
                       java.lang.String tranType,
                       java.lang.String user)

### Method Detail

#### getId

    public long getId()

#### getTranType

    public java.lang.String getTranType()

#### getComment

    public java.lang.String getComment()

#### setComment

    public void setComment​(java.lang.String comment)

#### getTranId

    public long getTranId()

#### getVersions

    public java.util.Collection<Transaction.Version> getVersions()

#### getWhen

    public java.util.Date getWhen()

#### getType

    public java.lang.String getType()

#### getAuthor

    public java.lang.String getAuthor()

#### addVersion

    public void addVersion​(java.lang.Long id,
                           java.lang.String name,
                           java.lang.String virtualSpec,
                           java.lang.String realSpec,
                           java.lang.String ancestor)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`